<?php

// -----------------------------------------------------------------------
// This file is part of AROUNDMe
//
// Copyright (C) 2003 - 2007 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
// 02110-1301, USA.
// -----------------------------------------------------------------------

$menu_section = "structure";


if ($_SESSION['user_core_permission'] & $core_config['resource']['user']['maintainer']) {
	// get user ledger ------------------------------------------------------
	include_once('components/core/class/UserLedger.class.php');
	$ledger = new UserLedger($db, $core_config);

	if (isset($_POST['update_ledger'])) {
		$ledger->updateUserLedgerItem($_POST);
	}

	
	if (isset($_REQUEST['user_id'])) {
		$output_ledger = $ledger->selUserLedger($_REQUEST['user_id']);
	}
	else {
		$output_ledger = $ledger->selUserLedger();
	}


	if (!empty($output_ledger)) {
		$body->set('ledger', $output_ledger);
	}

	include_once ($language_path . "/inc/user_ledger.inc.php");

	if (!empty($_REQUEST['ledger_id'])) {
		$output_ledger_item = $ledger->selUserLedgerItem($_REQUEST['ledger_id']);
	}
	elseif (!empty($_REQUEST['add_ledger_item'])) {
		$output_ledger_item['ledger_payment_date'] = date('Y-m-d');
		$output_ledger_item['ledger_expiry_date'] = date('Y-m-d');
	}

	if (!empty($output_ledger_item)) {
		$body->set('ledger_item', $output_ledger_item);
	}
	
}
else {
	header("Location: index.php?" . strip_tags(SID));
	exit;
}
?>